Amplify APIReference
Retrieve Multiple Campaigns
GET
/campaigns/{campaignIds}/multiple-
You can retrieve as much as 50 multiple campaigns at once.
-
some campaign properties require using the Extra Field notion
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
campaignIds*string
the ids of the Campaigns
Query Parameters
extraFields?string
the additional campaign fields you want to include in the response
Response Body
application/json
curl -X GET "https://example.com/campaigns/00f4b02153ee75f3c9dc4fc128ab0411ab,00f863c5674af5c5f63415500f699a04e5/multiple?extraFields=CustomAudience%2CLocations%2CInterestsTargeting%2CBidBySections%2CBlockedSites%2CPlatformTargeting%2CCampaignOptimization%2CScheduling%2CIABCategories%2CCampaignPixels"Empty